
// Используемые библиотеки -----------------------------
#include <EEPROM.h>                   // библиотека энергонезависимой памяти
#include <LiquidCrystal_I2C.h>        // библиотека дисплея LCD2004 i2c
LiquidCrystal_I2C lcd(0x27, 20, 4);   // вместо (0x27) указываем адрес своего дисплея
#define resist_keyboard 1             // раскоментировать, если клавиатура резистивная
#define SerialPortPlotter 1           // раскоментировать, если ПО SerialPortPlotter
/*
если детектор нуля не используется - закомментировать оба варианта
и будет использоваться программный таймер (нужна библиотека MsTimer2.h)
скачать по ссылке https://github.com/PaulStoffregen/MsTimer2
*/
// назнаение пина детектора нуля ZCC 
 #define SetInterrupt 0               // подключение к пину 2
// #define SetInterrupt 1             // подключение к пину 3
#ifndef SetInterrupt
  #include <MsTimer2.h>               // если отказались от zcc и используете таймер2
#endif
//--------------------------------------

//---в конце "void setup ()" прописать---//
 #ifdef SetInterrupt
    attachInterrupt(SetInterrupt, Dimming, RISING); // настроить порт прерывания(0 или 1) 2й или 3й цифровой пин
/* -------------------------------------------------------------------------------
    LOW вызывает прерывание, когда на порту LOW
    CHANGE прерывание вызывается при смене значения на порту, с LOW на HIGH и наоборот
    RISING прерывание вызывается только при смене значения на порту с LOW на HIGH
    FALLING прерывание вызывается только при смене значения на порту с HIGH на LOW
    ------------------------------------------------------------------------------- */    
   #else 
      MsTimer2::set(10, Dimming); // 100ms period
      MsTimer2::start();
  #endif
  
